datacache <- new.env(hash=TRUE, parent=emptyenv())

hugene11sttranscriptcluster <- function() showQCData("hugene11sttranscriptcluster", datacache)
hugene11sttranscriptcluster_dbconn <- function() dbconn(datacache)
hugene11sttranscriptcluster_dbfile <- function() dbfile(datacache)
hugene11sttranscriptcluster_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hugene11sttranscriptcluster_dbInfo <- function() dbInfo(datacache)

hugene11sttranscriptclusterORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hugene11sttranscriptcluster.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hugene11sttranscriptcluster", "chip hugene11sttranscriptcluster", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hugene11sttranscriptcluster_dbconn())
}

